Solid Edge Geometry Type Library
Application Property
Description
Returns the active application object.
Property type
Read-only property
Syntax
Visual Basic
Public Property Application As Object
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeframework.Application
    Dim objDoc As SolidEdgepart.PartDocument
    Dim objBody As solidedgegeometry.Body
    Dim objFaces As Object
    Dim objLoop As solidedgegeometry.Loop
    Dim objLApp As SolidEdgeframework.Application
    Const TESTFILE = "T:\vbtests\testcases\freeform.par"
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    Call objDoc.Close
    ' opening the test case file
    Set objDoc = objApp.Documents.Open(TESTFILE)
    ' geting the body object from the model
    Set objBody = objDoc.Models(1).Body
    ' getting the collection of faces from the body object
    Set objFaces = objBody.Faces(facetype:=igQueryAll)
    ' getting a loop from the collection of loops for a particular face
    Set objLoop = objFaces(1).Loops(1)
    ' getting the application object for a particular loop
    Set objLApp = objLoop.Application
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objBody = Nothing
    Set objFaces = Nothing
    Set objLoop = Nothing
    Set objLApp = Nothing
End Sub
See Also

Loop Object  | Loop Members